# 2025-07-30: Order Service - order splitting

## Overview

Order was extended with new capabilities of splitting orders by vendor.

## New attributes

* `entries.product.vendor` - marks a product as vendor dependent
* `orderType` - populated only for orders involved in the splitting process
* `masterOrder` - the identifier of a master order, available on suborders created after splitting the master order
* `splitInfo` - information based on what was the suborder created
* `subOrders` - list of suborders that were created after splitting the master order
* `entries.externalFees` - list of external fees applied on entry level

## New endpoints

A new endpoint that allows to split an order has been added.

## Modified endpoints

| Endpoint                                                                                                                                                                             | Description                        |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------- |
| [Creating a new order](https://developer.emporix.io/api-guides-and-references/orders/order/api-reference/orders-tenant-managed#post-order-v2-tenant-salesorders)                     | New attributes added.              |
| [Retrieving orders](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed)                                                         | New attributes added.              |
| [Retrieving a specific order by ID](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#get-order-v2-tenant-salesorders-orderid) | New attributes added.              |
| [Updating an order](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#put-order-v2-tenant-salesorders-orderid)                 | New attributes added.              |
| [Partially updating an order](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#patch-order-v2-tenant-salesorders-orderid)     | New attributes added.              |
| [Creating a new order](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#post-order-v2-tenant-orders)                        | New attributes added.              |
| [Retrieving order details](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#get-order-v2-tenant-orders-orderid)             | New attributes added.              |
| [Retrieving a list of orders](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#get-order-v2-tenant-orders)                  | New attributes added.              |
| [Splitting order](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#post-order-v2-tenant-salesorders-orderid-split)            | New endpoint for splitting orders. |

## Known problems

There are no known problems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-07-30-order-vendor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
